curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/incidents/{incidentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"vehicleOperable": true,
"isResolved": true,
"incidentTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"incidentType": "<string>",
"cause": "<string>",
"notes": "<string>",
"description": "<string>",
"damages": [
{
"title": "<string>",
"damageType": "<string>",
"repaired": true
}
]
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/incidents/{incidentId}"
payload = {
"title": "<string>",
"vehicleOperable": True,
"isResolved": True,
"incidentTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"incidentType": "<string>",
"cause": "<string>",
"notes": "<string>",
"description": "<string>",
"damages": [
{
"title": "<string>",
"damageType": "<string>",
"repaired": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
vehicleOperable: true,
isResolved: true,
incidentTimestamp: '2025-10-07T10:24:41.143Z',
location: '<string>',
incidentType: '<string>',
cause: '<string>',
notes: '<string>',
description: '<string>',
damages: [{title: '<string>', damageType: '<string>', repaired: true}]
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"vehicleOperable": true,
"reportTimestamp": "2025-10-07T10:24:41.143Z",
"isResolved": true,
"customer": {
"mobilityProviderCountryCode": "AT",
"mobilityProviderCode": "ABC",
"customerId": "828c2d1c-d933-4138-9577-02c292b6d869"
},
"incidentTimestamp": "2025-10-07T10:24:41.143Z",
"location": "<string>",
"incidentType": "<string>",
"cause": "<string>",
"notes": "<string>",
"description": "<string>",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
],
"damages": [
{
"title": "<string>",
"damageType": "<string>",
"repaired": true
}
]
}Update an incident
Overwrite the selected incident of the specified vehicle
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
2Asset provider code
3Id of vehicle
Id of incident
Body
The incident that should overwrite the one under the specified id
Title of the incident
Indicates whether the vehicle is currently allowed to drive with this damages or not
Show child attributes
Show child attributes
Datetime when the incident has happened
"2025-10-07T10:24:41.143Z"
Address where the incident has happened
Show child attributes
Show child attributes
Response
The updated incident
NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR Title of the incident
Indicates whether the vehicle is currently allowed to drive with this damages or not
Datetime when the report was created
"2025-10-07T10:24:41.143Z"
Show child attributes
Show child attributes
Datetime when the incident has happened
"2025-10-07T10:24:41.143Z"
Address where the incident has happened
Show child attributes
Show child attributes
Show child attributes
Show child attributes

